require "Insurgent/InsurgentTraitDefinitions"

LoadoutOSPTrait = CreateInsurgentTrait()
LoadoutOSPTrait.name = "LoadoutOSP"
LoadoutOSPTrait.insurgentExclusive = true
LoadoutOSPTrait.mutualExclusions = {"LoadoutMarksman", "LoadoutAssault", "LoadoutMachinegunner", "LoadoutRecon", "LoadoutRifleman", "LoadoutGunslinger", "LoadoutPistoleer", "LoadoutExplosives", "LoadoutExtraAmmo", "LoadoutLessAmmo"}

function LoadoutOSPTrait.Create()
TraitFactory.addTrait("LoadoutOSP", getText("UI_trait_LoadoutOSP"), -6, getText("UI_trait_LoadoutOSPDesc"), false, false)
end
